%define version 0.1.6
%define release 1mdk

Summary:	Console frontend of gnuchess
Name:		cboard
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Boards
URL:		http://arbornet.org/~bjk/cboard/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.1.6-gcc33.patch.bz2

BuildRequires:	ncurses-devel
Requires:	gnuchess

%description
CBoard is a console frontend to GNU Chess, using the ncurses library for
the interface. It can edit PGN tags, annotate moves with NAG, and more.

%prep
%setup -q
%patch0 -p1 -b .gcc33

%build
%configure2_5x
%make

%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# strategy_section.png and boards_section.png should exchange
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << _EOF_ > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="strategy_section.png" \
 longtitle="Console frontend of GNUchess" \
 needs="text" \
 section="Amusement/Boards" \
 title="CBoard"
_EOF_

%post
%update_menus

%postun
%clean_menus

%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man?/*
%{_menudir}/%{name}

%changelog
* Fri Sep 19 2003 Abel Cheung <maddog@linux.org.hk> 0.1.6-1mdk
- First Mandrake package
- Patch0: Fix compilation with newest gcc
